Knowledge Article Templates API
Bu içerik henüz dilinizde mevcut değil.
Knowledge Article Templates API
Заголовок раздела «Knowledge Article Templates API»List knowledge article templates
Заголовок раздела «List knowledge article templates»List all knowledge article templates for an account:
GET /knowledge_article_templatesResponse
Заголовок раздела «Response»Status: 200 OK[ { "id": 76, "sourceID": null, "subject": "How to connect a 2nd monitor to a desktop PC", "service": { "id": 31, "name": "Personal Computing", "provider": { "id": 46, "name": "Widget Data Center", "account": { "id": "pro-product", "name": "Widget International" } }, "localized_name": "Personal Computing" }, "created_at": "2016-11-25T02:16:24-06:00", "updated_at": "2016-11-25T14:10:05-06:00" }, { "id": 57, "sourceID": null, "subject": "How to book a conference room", "service": { "id": 18, "name": "Conference Room", "provider": { "id": 46, "name": "Widget Data Center", "account": { "id": "pro-product", "name": "Widget International" } }, "localized_name": "Conference Room" }, "created_at": "2016-11-25T02:16:24-06:00", "updated_at": "2016-11-25T02:16:24-06:00" }, "..."]The response contains these fields by default. Filtering and pagination are available to reduce/limit the collection of knowledge article templates.
Predefined Filters
Заголовок раздела «Predefined Filters»The following predefined filters are available:
/knowledge_article_templates/enabled: List all enabled knowledge article templates/knowledge_article_templates/disabled: List all disabled knowledge article templates
Collection Fields
Заголовок раздела «Collection Fields»By default the following fields will appear in collections of knowledge article templates:
id
sourceID
subject
service
created_at
updated_at
Obtain a different set of fields using the ?fields= parameter .
Filtering
Заголовок раздела «Filtering»Filtering is available for the following fields :
id
source
sourceID
subject
disabled
service
created_at
updated_at
Sorting
Заголовок раздела «Sorting»By default a collection of knowledge article templates is sorted
descending
by
start_at
.
The following fields are accepted by the ?sort= parameter :
id
sourceID
subject
service
created_at
updated_at
Response
Заголовок раздела «Response»The response is similar to the response in List knowledge article templates
Get a single knowledge article template
Заголовок раздела «Get a single knowledge article template»GET /knowledge_article_templates/:idResponse
Заголовок раздела «Response»Status: 200 OK{ "id": 76, "sourceID": null, "subject": "How to connect a 2nd monitor to a desktop PC", "service": { "id": 31, "name": "Personal Computing", "provider": { "id": 46, "name": "Widget Data Center", "account": { "id": "pro-product", "name": "Widget International" } }, "localized_name": "Personal Computing" }, "created_at": "2016-11-25T02:16:24-06:00", "updated_at": "2016-11-25T14:10:05-06:00"}The response contains these fields .
Create a knowledge article template
Заголовок раздела «Create a knowledge article template»POST /knowledge_article_templatesWhen creating a new knowledge article template these fields are available.
Response
Заголовок раздела «Response»Status: 201 Created{ "subject": "...", "...": "..."}The response contains all fields of the created knowledge article template and is similar to the response in Get a single knowledge article template
Update a knowledge article template
Заголовок раздела «Update a knowledge article template»PATCH /knowledge_article_templates/:idWhen updating a knowledge article template these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "subject": "...", "...": "..."}The response contains all fields of the updated knowledge article template and is similar to the response in Get a single knowledge article template
created_at
Readonly datetime — The date and time at which the knowledge article template was created.
disabled
Optional
boolean
, default:
false
— The Disabled box is checked when the knowledge article template may no longer be related to other records.
id
Readonly integer — The unique ID of the knowledge article template.
service
Optional reference to Service — The Service field is used to select the service for which the knowledge article template is made available.
source
Optional string (max 30) — See source
sourceID
Optional string (max 128) — See source
subject
Required string (max 255) — The Subject field is used to enter a short description of the knowledge article template.
ui_extension
Optional reference to UI Extension — The UI extension field is used to select the UI extension that is to be added to the knowledge articles that are based on the template.
updated_at
Readonly
datetime
— The date and time of the last update of the knowledge article template. If the knowledge article template has no updates it contains the
created_at
value.